RegionAttributesType.MembershipAttributes (Apache Geode 1.15.4)

org.apache.geode.cache.configuration

## Class RegionAttributesType.MembershipAttributes

- java.lang.Object
- - org.apache.geode.cache.configuration.RegionAttributesType.MembershipAttributes

- All Implemented Interfaces:
    Serializable
  Enclosing class:
    RegionAttributesType

      public static class RegionAttributesType.MembershipAttributes
      extends Object
      implements Serializable

  Java class for anonymous complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType>
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="required-role" maxOccurs="unbounded" minOccurs="0">
                 <complexType>
                   <complexContent>
                     <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                       <attribute name="name" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
                     </restriction>
                   </complexContent>
                 </complexType>
               </element>
             </sequence>
             <attribute name="loss-action">
               <simpleType>
                 <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                   <enumeration value="full-access"/>
                   <enumeration value="limited-access"/>
                   <enumeration value="no-access"/>
                   <enumeration value="reconnect"/>
                 </restriction>
               </simpleType>
             </attribute>
             <attribute name="resumption-action">
               <simpleType>
                 <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                   <enumeration value="none"/>
                   <enumeration value="reinitialize"/>
                 </restriction>
               </simpleType>
             </attribute>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `RegionAttributesType.MembershipAttributes.RequiredRole` Java class for anonymous complex type.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `lossAction`
    `protected List<RegionAttributesType.MembershipAttributes.RequiredRole>` | `requiredRoles`
    `protected String` | `resumptionAction`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MembershipAttributes()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getLossAction()` Gets the value of the lossAction property.
    `List<RegionAttributesType.MembershipAttributes.RequiredRole>` | `getRequiredRoles()` Gets the value of the requiredRole property.
    `String` | `getResumptionAction()` Gets the value of the resumptionAction property.
    `void` | `setLossAction(String value)` Sets the value of the lossAction property.
    `void` | `setResumptionAction(String value)` Sets the value of the resumptionAction property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### requiredRoles

          protected List<RegionAttributesType.MembershipAttributes.RequiredRole> requiredRoles

    - #### lossAction

          protected String lossAction

    - #### resumptionAction

          protected String resumptionAction

  - ### Constructor Detail

    - #### MembershipAttributes

          public MembershipAttributes()

  - ### Method Detail

    - #### getRequiredRoles

          public List<RegionAttributesType.MembershipAttributes.RequiredRole> getRequiredRoles()

      Gets the value of the requiredRole property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the requiredRole property.

      For example, to add a new item, do as follows:

           getRequiredRoles().add(newItem);

      Objects of the following type(s) are allowed in the list `RegionAttributesType.MembershipAttributes.RequiredRole`

      Returns:
        the value of the requiredRole property

    - #### getLossAction

          public String getLossAction()

      Gets the value of the lossAction property. possible object is `String`
      Returns:
        the value of the lossAction property

    - #### setLossAction

          public void setLossAction(String value)

      Sets the value of the lossAction property. allowed object is `String`
      Parameters:
        `value` - the value of the lossAction property

    - #### getResumptionAction

          public String getResumptionAction()

      Gets the value of the resumptionAction property. possible object is `String`
      Returns:
        the value of the resumptionAction property

    - #### setResumptionAction

          public void setResumptionAction(String value)

      Sets the value of the resumptionAction property. allowed object is `String`
      Parameters:
        `value` - the value of the resumptionAction property